> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Lookup Reservation entity by phone number.

- Product: Voip
- Section: VOIP
- Snapshot: Current
- Method: `GET`
- Path: `/api/voip/lookup`

## Query parameters

### `phoneNumber`

Type: `string`  
Required: yes  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.voip.lookup({
  phoneNumber: "<phoneNumber>",
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/voip/lookup" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "phoneNumber=$PHONENUMBER"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": 1000,
    "token": "fdffb9ad-eeba-40da-9592-23b2c6ee067a",
    "number": "2024-0001",
    "name": "Cash",
    "date": "2024-04-01T12:12:00Z",
    "dateFrom": "2024-05-09T00:00:00Z",
    "dateTo": "2024-05-12T00:00:00Z",
    "checkin": "2024-05-09T14:00:00Z",
    "checkout": "2024-05-12T11:00:00Z",
    "checkinFormatted": "2024-05-09T14:00:00Z",
    "checkoutFormatted": "2024-05-12T11:00:00Z",
    "accommodationTitle": "Comfortplaats Standaard",
    "accommodationUnitNumber": "039",
    "locale": "nl",
    "url": "https://app.recranet.com/nl/dashboard/reservations/1000?token=fdffb9ad-eeba-40da-9592-23b2c6ee067a",
    "guest": {
      "id": 1000,
      "firstName": "Johnny",
      "surname": "Cash",
      "surnamePrefix": "",
      "phoneNumber": "+31612345678",
      "phoneNumberHome": "+31118202019",
      "phoneNumberWork": "+31118202019",
      "locality": "Middelburg",
      "country": "NL",
      "locale": "nl"
    }
  }
]
```

##### Schema

###### object[]

Type: `object[]`  

###### object

Type: `object`  

###### `id`

Type: `number`  
Required: no  

###### `token`

Type: `string`  
Required: no  

###### `number`

Type: `string`  
Required: no  

###### `name`

Type: `string`  
Required: no  

###### `date`

Type: `string`  
Required: no  

###### `dateFrom`

Type: `string`  
Required: no  

###### `dateTo`

Type: `string`  
Required: no  

###### `checkin`

Type: `string`  
Required: no  

###### `checkout`

Type: `string`  
Required: no  

###### `checkinFormatted`

Type: `string`  
Required: no  

###### `checkoutFormatted`

Type: `string`  
Required: no  

###### `accommodationTitle`

Type: `string`  
Required: no  

###### `accommodationUnitNumber`

Type: `string`  
Required: no  

###### `locale`

Type: `string`  
Required: no  

###### `url`

Type: `string`  
Required: no  

###### `guest`

Type: `object`  
Required: no  

###### `id`

Type: `number`  
Required: no  

###### `firstName`

Type: `string`  
Required: no  

###### `surname`

Type: `string`  
Required: no  

###### `surnamePrefix`

Type: `string`  
Required: no  

###### `phoneNumber`

Type: `string`  
Required: no  

###### `phoneNumberHome`

Type: `string`  
Required: no  

###### `phoneNumberWork`

Type: `string`  
Required: no  

###### `locality`

Type: `string`  
Required: no  

###### `country`

Type: `string`  
Required: no  

###### `locale`

Type: `string`  
Required: no  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/voip/methods/lookup/)
- [TypeScript Markdown](/voip/methods/lookup.md?lang=typescript)
- [curl Markdown](/voip/methods/lookup.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/voip/llms.txt)
- [snapshot llms.txt](/voip/llms.txt)
